Subject: Re: mintty - changing colours when logging in to remote host
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Wed, 7 Apr 2010 13:04:34 +0100
List-Id: <cygwin.cygwin.com>

Gary wrote:
>> For example, to set the background
>> colour to dark red:
>>
>> echo $'\e]12;64,0,0\a'
>
> Err. Well that set my block cursor to dark red, but anyway, yeah, I
> get the idea.

Oops. 12 indeed is the cursor. 11 is background, 10 is foreground.

And the OSC 4 sequence lets you change all 256 colours, whereby the
colour number appears after the first semicolon, e.g. this turns ANSI
yellow (colour 3) up to full brightness:

echo $'\e]4;3;255,255,0\a'

>I will read the xterm doc you linked to and "play
> around". Oh. Is it because
> $ echo $TERM
> xterm-256color

No, the control sequences are available independent of the TERM setting.

> (Oh God. I just looked at the document you linked to. I'm not sure
> which is denser, me or it! Anyway, I will read and see what I can make
> of it.)

:)

> Incidentally, do you prefer mintty related subjects here or in
> mintty-discuss? Both seem appropriate.

I don't really mind, since they both end up in my inbox anyway, but
generally the more specific list is the better choice, initially
anyway. I do prefer bug reports and enhancement requests to go
straight to the mintty issue tracker, though.

Good luck,
Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple